Package org.jCharts.axisChart.axis.scale

# Class UserDefinedScaleCalculator

java.lang.Object
org.jCharts.axisChart.axis.scale.ScaleCalculator
org.jCharts.axisChart.axis.scale.UserDefinedScaleCalculator

public class UserDefinedScaleCalculator extends ScaleCalculator

## Field Summary

Fields
Modifier and Type
Field
Description
`private double`
`userDefinedIncrement`
`private double`
`userDefinedMinimum`

### Fields inherited from class org.jCharts.axisChart.axis.scale.ScaleCalculator

`increment`

## Constructor Summary

Constructors
Constructor
Description
`UserDefinedScaleCalculator(double userDefinedMinimum, double userDefinedIncrement)`
It would seem to make sense to pass in the min and the max, but we want to allow people to use custom implementations which will be created when the AxisChart constructor gets called and we will not have looped the data to find the min and max yet.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`computeIncrement()`
Computes the axis increment WITHOUT taking into account the user specified rounding criteria and sets it to the super class increment variable.

### Methods inherited from class org.jCharts.axisChart.axis.scale.ScaleCalculator

`computeScaleValues, getIncrement, getMaxValue, getMinValue, getNumberOfScaleItems, getRoundingPowerOfTen, round, roundTheIncrement, setMaxValue, setMinValue, setNumberOfScaleItems, setRoundingPowerOfTen, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### userDefinedMinimum

private double userDefinedMinimum

### userDefinedIncrement

private double userDefinedIncrement

## Constructor Details

### UserDefinedScaleCalculator

public UserDefinedScaleCalculator(double userDefinedMinimum, double userDefinedIncrement)
It would seem to make sense to pass in the min and the max, but we want to allow people to use custom implementations which will be created when the AxisChart constructor gets called and we will not have looped the data to find the min and max yet. No sense in making people do that when we will do that already.

Parameters:
  `userDefinedMinimum` -
  `userDefinedIncrement` -

## Method Details

### computeIncrement

protected void computeIncrement()
Computes the axis increment WITHOUT taking into account the user specified rounding criteria and sets it to the super class increment variable. You can extend this class and override this method to compute you own scale.

Specified by:
  `computeIncrement` in class `ScaleCalculator`